fuzzydl

## Class PrimitiveConceptDefinition

- java.lang.Object
- - fuzzydl.PrimitiveConceptDefinition

-     public class PrimitiveConceptDefinition
      extends java.lang.Object

  General concept inclusion axiom.
  Author:
    Fernando Bobillo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrimitiveConceptDefinition(java.lang.String defined, Concept definition, int implication, double degree)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDefinedConcept()` Gets the name of the defined concept
    `Concept` | `getDefinition()` Gets the definition.
    `double` | `getDegree()` Gets the degree.
    `int` | `getType()` Gets the type of the axiom.
    `void` | `setDefinition(Concept definition)` Sets the definition.
    `void` | `setDegree(double deg)` Sets the degree.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PrimitiveConceptDefinition

          public PrimitiveConceptDefinition(java.lang.String defined,
                                            Concept definition,
                                            int implication,
                                            double degree)

  - ### Method Detail

    - #### getDefinedConcept

          public java.lang.String getDefinedConcept()

      Gets the name of the defined concept
      Returns:
        Name of the defined concept.

    - #### getDefinition

          public Concept getDefinition()

      Gets the definition.
      Returns:
        Definition.

    - #### setDefinition

          public void setDefinition(Concept definition)

      Sets the definition.
      Parameters:
        `definition` - Definition.

    - #### getDegree

          public double getDegree()

      Gets the degree.
      Returns:
        Degree.

    - #### setDegree

          public void setDegree(double deg)

      Sets the degree.
      Parameters:
        `deg` - The degree.

    - #### getType

          public int getType()

      Gets the type of the axiom.
      Returns:
        Type of the axiom.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`